## lsi-megacli 8.07.14-1inet1

=== debian/changelog ===
lsi-megacli (8.07.14-1inet1) inet-stable; urgency=medium

  * Split megacli into separate package.

 -- Jonas Meurer <jmeurer@inet.de>  Tue, 14 Apr 2015 11:14:43 +0200

lsi-raid-tools (2015.04.14.2) inet-stable; urgency=medium

  * Fix installation path of binaries and links.

 -- Jonas Meurer <jmeurer@inet.de>  Tue, 14 Apr 2015 10:19:10 +0200

lsi-raid-tools (2015.04.14) inet-stable; urgency=medium

  * Build again to fix package signatures.

 -- Jonas Meurer <jmeurer@inet.de>  Mon, 13 Apr 2015 12:08:57 +0200

lsi-raid-tools (2015.04.13) inet-stable; urgency=medium

  * Build seperate packages for i386 and amd64 architecture.
  * Build-Depend on cpio.
  * Fix debian/rules to install storcli into correct package.

 -- Jonas Meurer <jmeurer@inet.de>  Mon, 13 Apr 2015 11:25:23 +0200

lsi-raid-tools (2015.04.08) inet-stable; urgency=medium

  * Initial release (package MegaCli and StorCli).

 -- Jonas Meurer <jmeurer@inet.de>  Mon, 13 Apr 2015 10:34:25 +0200
