=== debian/control ===
Source: lsi-megacli
Maintainer: Jonas Meurer <jmeurer@inet.de>
Section: admin
Priority: optional
Standards-Version: 3.9.6
Build-Depends: debhelper (>> 7.0.50~), cpio, unzip, rpm2cpio
Homepage: http://www.lsi.com/support/Pages/Download-Results.aspx?keyword=megacli
Vcs-Browser: https://git.inet.de/?p=lsi-megacli.git
Vcs-Git: git://git.inet.de/~/lsi-megacli.git

Package: lsi-megacli
Architecture: amd64 i386
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: LSI MegaRAID MegaCLI tool
 The MegaCLI Configuration Utility is a command line interface application you
 can use to manage MegaRAID SAS RAID controllers.
 You can use MegaCLI Configuration Utility to perform the following tasks:
  • Configure MegaRAID SAS RAID controllers and attached devices
  • Display information about virtual disks and physical drives for the
    adapter and other storage components
  • Display ongoing progress for operations on physical drives and virtual
    disks
  • Change properties for the virtual disks and physical drives for the
    adapter and other storage components
  • Set, retrieve, and verify adapter default settings
  • Change the firmware on the adapters
  • Monitor the RAID storage systems
  • Support RAID levels 0, 1, 5, 6, 10, 50, and 60 (depending on the RAID
    controller)
  • Create and use scripts with the scriptable CLI tool
  • Configure physical disk drives into groups and virtual disks on the
    controller
  • Display configuration information for the controller, physical disk
    drives, and virtual disks
  • Change virtual disk properties on the controller
  • Change physical disk drive properties on the controller
  • Display controller properties
  • Load configuration to the controller from a file
  • Save the controller configuration to a file
  • Start or stop a rebuild, consistency check (CC), or initialization
    operation
  • Enable or disable a background initialization (BGI)
  • Stop or display an ongoing background initialization
  • Start or display a reconstruction
  • Start or stop patrol read
  • Set and retrieve patol read related settings
  • Flash new firmware on the SAS RAID controller
  • Read and program NVRAM and flash memory directly into DOS
  • Display relevant messages on the console and/or in the log file
  • Display controller data using one command
  • Exit with predefined success or failure exit codes
  • Scan, preview, and import foreign configurations
  • Set predefined environment variables, such as the number of controllers
    and virtual disks
  • Display firmware event logs
  • Display help for how to use the command line options:
  • Display battery unit properties
  • Display enclosure properties
  • Display and set connector mode on supported controllers
